%define oname pysvn

Summary:	Highlevel Subversion Python bindings
Name:		python-%{oname}
Version:	1.5.1
Release:	%mkrel 4
License:	Apache License
Group:		Development/Python
URL:		http://pysvn.tigris.org 
Source0:	%{oname}-%{version}.tar.gz
Patch0:		pysvn-no_rpath.diff
Patch1:		pysvn-optflags.diff
BuildRequires:	apr-devel
BuildRequires:	expat-devel
BuildRequires:	neon-devel
BuildRequires:	python-devel
BuildRequires:	subversion-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
pysvn is a highlevel and easy to use Python bindings to Subversion.

%package	docs
Summary:	Programmer's documentation for pysvn
Group:		Development/Python

%description	docs
pysvn is a highlevel and easy to use Python bindings to Subversion.

This package contains the pysvn Programmer's Guide and the Programmer's
Reference.

%prep

%setup -q -n %{oname}-%{version}
%patch0 -p0
%patch1 -p0

cd Source && python setup.py configure

%build
%make -C Source

%install
rm -rf %{buildroot}

install -d %{buildroot}%{py_sitedir}/%{oname}
cp -a Source/%oname/*.py %{buildroot}%{py_sitedir}/%{oname}
install -d %{buildroot}%{py_platsitedir}/%{oname}
cp -a Source/%{oname}/_pysvn*.so %{buildroot}%{py_platsitedir}/%{oname}
%py_compile %{buildroot}%{py_sitedir}/%{oname}

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc LICENSE.txt
%dir %{py_sitedir}/%{oname}
%{py_sitedir}/%{oname}/*
%dir %{py_platsitedir}/%{oname}
%{py_platsitedir}/%{oname}/*

%files docs
%defattr(-,root,root)
%doc Docs/*.html Docs/*.js Examples




%changelog
* Wed Sep 17 2008 Oden Eriksson <oeriksson@mandriva.com> 1.5.1-4mdv2009.0
+ Revision: 285435
- fix deps
- rebuilt against latest neon libs

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Jun 08 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.5.1-2mdv2008.0
+ Revision: 36976
- rebuild for expat


* Thu Mar 01 2007 Jérôme Soyer <saispo@mandriva.org> 1.5.1-1mdv2007.0
+ Revision: 130370
- New release

  + Bogdano Arendartchuk <bogdano@mandriva.com>
    - fix after version upgrade)

* Wed Dec 06 2006 Jérôme Soyer <saispo@mandriva.org> 1.5.0-1mdv2007.1
+ Revision: 91597
- Remove patch and update
- Rebuild for latest pyhton

  + Bogdano Arendartchuk <bogdano@mandriva.com>
    - Import python-pysvn

